Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022324
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2012-11-16 11:552013-04-30 11:22
ReporterSandrahuguetView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP23
StatusclosedFix in branchpiFixed in SCM revision32a231edfa7b
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022324: Synchronize terminology not work properly in g/l journal window

DescriptionSynchronize terminology not work properly in g/l journal window.
In g/l journal at header tab the process synchronize terminology does not update the element accounting schema for the new element general ledger.
Steps To ReproduceGo to G/L journal
Navigate to tab header
Notice that you can see Accounting schema instead of General ledger
TagsNo tags attached.
Attached Filesdiff file icon fieldsAffected.diff [^] (25,574 bytes) 2013-04-11 05:01 [Show Content]
diff file icon Fix22324.diff [^] (3,860 bytes) 2013-04-16 05:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0022313 closedSandrahuguet There is a field name "Accounting Shema" in the header tab of the G/L Journal window. 
related to defect 0034119 closedjarmendariz The syncrhonize terminology does not work properly on po windows on some circunstances 

-  Notes
(0057770)
shankarb (developer)
2013-04-07 09:03

The window 'G/L Journal' is not a sales transaction window. So the fields are picked from the 'Name in Purchase Windows' field. Hence it was not synchronized.Is this the expected behaviour? Or when the element is filled, should it fill the 'Name in Purchase Windows' field too?
(0057777)
AugustoMauch (developer)
2013-04-08 12:17

I think that if the Element does not have a 'Name in Purchase Windows', it should use the 'Name'.
(0057839)
shankarb (developer)
2013-04-11 05:01

I have fixed the issue by retrieving the name field if name in purchase windows is not available when the window is not marked as 'Sales Transaction'. But this change seems to affect few other fields too. Attached the affected fields as a diff.
(0057915)
shankarb (developer)
2013-04-16 05:13

Attached the fix for the issue.
(0057918)
hgbot (developer)
2013-04-16 10:05

Repository: erp/devel/pi
Changeset: 32a231edfa7bc580ac0e1f31e3daeb605e6e1643
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Apr 16 08:41:27 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/32a231edfa7bc580ac0e1f31e3daeb605e6e1643 [^]

Fixes Issue 22324 : Synchronize terminology does not work in G/L journal.

---
M src-db/database/model/functions/AD_SYNCHRONIZE.xml
---
(0057919)
hgbot (developer)
2013-04-16 10:05

Repository: erp/devel/pi
Changeset: f40518daae7a2243fef4e8cea62552b42886038b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Apr 16 09:46:33 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f40518daae7a2243fef4e8cea62552b42886038b [^]

Related to issue 22324

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0057925)
hgbot (developer)
2013-04-16 12:19

Repository: erp/devel/pi
Changeset: 3a62b04f98031d24bc22f78e01c65d957afacb47
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Apr 16 12:19:03 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3a62b04f98031d24bc22f78e01c65d957afacb47 [^]

Related to issue 22324

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
---
(0058032)
hudsonbot (developer)
2013-04-19 12:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/872081925d42 [^]

Maturity status: Test
(0058033)
hudsonbot (developer)
2013-04-19 12:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/872081925d42 [^]

Maturity status: Test
(0058035)
hudsonbot (developer)
2013-04-19 12:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/872081925d42 [^]

Maturity status: Test
(0058333)
alostale (developer)
2013-04-30 11:21

Code reviewed + verified

- Issue History
Date Modified Username Field Change
2012-11-16 11:55 Sandrahuguet New Issue
2012-11-16 11:55 Sandrahuguet Assigned To => AugustoMauch
2012-11-16 11:55 Sandrahuguet Web browser => Google Chrome
2012-11-16 11:55 Sandrahuguet Modules => Core
2012-11-22 16:31 Sandrahuguet Relationship added related to 0022313
2013-04-04 12:39 shankarb Assigned To AugustoMauch => shankarb
2013-04-07 09:03 shankarb Note Added: 0057770
2013-04-07 09:03 shankarb Status new => feedback
2013-04-08 12:17 AugustoMauch Note Added: 0057777
2013-04-08 12:17 AugustoMauch Status feedback => new
2013-04-10 04:41 shankarb Status new => scheduled
2013-04-10 04:41 shankarb fix_in_branch => pi
2013-04-11 05:01 shankarb Note Added: 0057839
2013-04-11 05:01 shankarb File Added: fieldsAffected.diff
2013-04-16 05:12 shankarb File Added: Fix22324.diff
2013-04-16 05:13 shankarb Note Added: 0057915
2013-04-16 10:05 hgbot Checkin
2013-04-16 10:05 hgbot Note Added: 0057918
2013-04-16 10:05 hgbot Status scheduled => resolved
2013-04-16 10:05 hgbot Resolution open => fixed
2013-04-16 10:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/32a231edfa7bc580ac0e1f31e3daeb605e6e1643 [^]
2013-04-16 10:05 hgbot Checkin
2013-04-16 10:05 hgbot Note Added: 0057919
2013-04-16 12:19 hgbot Checkin
2013-04-16 12:19 hgbot Note Added: 0057925
2013-04-19 12:52 hudsonbot Checkin
2013-04-19 12:52 hudsonbot Note Added: 0058032
2013-04-19 12:52 hudsonbot Checkin
2013-04-19 12:52 hudsonbot Note Added: 0058033
2013-04-19 12:52 hudsonbot Checkin
2013-04-19 12:52 hudsonbot Note Added: 0058035
2013-04-30 11:21 alostale Review Assigned To => alostale
2013-04-30 11:21 alostale Note Added: 0058333
2013-04-30 11:21 alostale Status resolved => closed
2013-04-30 11:22 alostale Fixed in Version => 3.0MP23
2017-12-19 12:57 jarmendariz Relationship added related to 0034119


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker